# ****************************************************************************
# TE0820-02-3EG - TE0701-05 FMC - HDMIO (ADV7511) 12b DDR
# ****************************************************************************
set_property PACKAGE_PIN T6  [get_ports {hdmio_data[0]}]
set_property PACKAGE_PIN R6  [get_ports {hdmio_data[1]}]
set_property PACKAGE_PIN V9  [get_ports {hdmio_data[2]}]
set_property PACKAGE_PIN U9  [get_ports {hdmio_data[3]}]
set_property PACKAGE_PIN T7  [get_ports {hdmio_data[4]}]
set_property PACKAGE_PIN N8  [get_ports {hdmio_data[5]}]
set_property PACKAGE_PIN R7  [get_ports {hdmio_data[6]}]
set_property PACKAGE_PIN N9  [get_ports {hdmio_data[7]}]
set_property PACKAGE_PIN Y8  [get_ports {hdmio_data[8]}]
set_property PACKAGE_PIN V8  [get_ports {hdmio_data[9]}]
set_property PACKAGE_PIN W8  [get_ports {hdmio_data[10]}]
set_property PACKAGE_PIN U8  [get_ports {hdmio_data[11]}]

set_property PACKAGE_PIN L7  [get_ports hdmio_de]
set_property PACKAGE_PIN K4  [get_ports hdmio_hsync]
set_property PACKAGE_PIN K3  [get_ports hdmio_vsync]

set_property PACKAGE_PIN L6  [get_ports hdmio_clk]

set_property IOSTANDARD LVCMOS18 [get_ports hdmio_*]
set_property SLEW FAST [get_ports hdmio_*]
#set_property DRIVE 16 [get_ports hdmio_*]

create_clock -period 6.666 -name hdmio_clk -waveform {0.000 3.333} -add [get_ports hdmio_clk]

set_property PACKAGE_PIN P7  [get_ports hdmio_i2c_scl_io]
set_property PACKAGE_PIN P6  [get_ports hdmio_i2c_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports hdmio_i2c_*]


set_property PACKAGE_PIN H7  [get_ports {hdmio_cec_clk[0]}]
set_property PACKAGE_PIN M8  [get_ports {hdmio_ct_hpd[0]}]
set_property PACKAGE_PIN J7  [get_ports {hdmio_ls_oe[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {hdmio_cec_clk[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {hdmio_ct_hpd[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {hdmio_ls_oe[0]}]
