#
# This file is the hdmio recipe.
#

SUMMARY = "Simple hdmio application"
SECTION = "PETALINUX/apps"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

SRC_URI = " file://Makefile \
            file://inc/bspconfig.h       \
            file://inc/sleep.h           \
            file://inc/xaxivdma_hw.h     \
            file://inc/xaxivdma_i.h      \
            file://inc/xaxivdma.h        \
            file://inc/xdebug.h          \
            file://inc/xiic_l.h          \
            file://inc/xiic.h            \
            file://inc/xil_assert.h      \
            file://inc/xil_io.h          \
            file://inc/xil_printf.h      \
            file://inc/xil_types.h       \
            file://inc/xparameters_ps.h  \
            file://inc/xparameters.h     \
            file://inc/xplatform_info.h  \
            file://inc/xpseudo_asm_gcc.h \
            file://inc/xpseudo_asm.h     \
            file://inc/xreg_cortexa53.h  \
            file://inc/xstatus.h         \
            file://inc/xuartps_hw.h      \
            file://inc/xuartps.h         \
            file://lib/libho.a  \
            file://dt_fb.h \
            file://dt_fb.c \
            file://vdma.h \
            file://vdma.c \
            file://hdmio.h \            
            file://hdmio.c \            
        "

S = "${WORKDIR}"

do_compile() {
	     oe_runmake INCLUDE=${S}/inc LIBS=${S}/lib
}

do_install() {
	     install -d ${D}${bindir}
	     install -m 0755 hdmio ${D}${bindir}
}
