/********************************************
 * UTIA AV CR, v.v.i
 * Signal Processing Department
 * Pod Vodarenskou vezi 4
 * 182 08 Prague
 * Czech Republic
 * web: http://zs.utia.cas.cz
 * contact: sp@utia.cz
 *
 * Filename: utia_handoff.h
 * Date: 19.11.2018
 * Author: Lukas Kohout <kohoutl@utia.cas.cz>
 * Description:
 *    Trenz TE0701-05 HDMI OUT (ADV7511) interface
 *
 * Changelog:
 *
 *
 *
 *
 ********************************************/

#ifndef _UTIA_HANDOFF_HEADER_FILE_
#define _UTIA_HANDOFF_HEADER_FILE_

#include <xil_types.h>
#include <xil_io.h>
#include <xuartps.h>

// #define HDMI_FB_ADDR    0x3F817000

#define XUartPs_IsTxEmpty(BaseAddress)  \
    ((Xil_In32(BaseAddress + (u32)XUARTPS_SR_OFFSET) & (u32)XUARTPS_SR_TXEMPTY) == (u32)XUARTPS_SR_TXEMPTY)


u32 utia_handoff( void );

#endif
